Bug 868809 - Review Request: libjpeg-turbo-compat - jpeg6 API/ABI compatible libjpeg-turbo library
Review Request: libjpeg-turbo-compat - jpeg6 API/ABI compatible libjpeg-turbo...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tomáš Hozza
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-22 04:15 EDT by Adam Tkac
Modified: 2013-04-30 19:52 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-24 10:09:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
thozza: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Adam Tkac 2012-10-22 04:15:53 EDT
Spec URL: http://atkac.fedorapeople.org/libjpeg-turbo-compat.spec
SRPM URL: http://atkac.fedorapeople.org/libjpeg-turbo-compat-1.2.1-4.fc18.src.rpm
Description: The libjpeg-turbo-compat package contains a libjpeg6b API/ABI compatible library of functions for manipulating JPEG images
Fedora Account System Username: atkac
Comment 1 Tomáš Hozza 2012-10-22 10:41:39 EDT
Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable

===== MUST items =====

C/C++:
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
[x]: Static libraries in -static subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package contains no bundled libraries.
[x]: Changelog in prescribed format.
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[x]: Sources contain only permissible code or content.
[!]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[x]: Macros in Summary, %description expandable at SRPM build time.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[-]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[-]: Large documentation files are in a -doc subpackage, if required.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[!]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named using only allowed ASCII characters.
[x]: Package is named according to the Package Naming Guidelines.
[!]: Package does not generate any conflict.
[x]: Package do not use a name that already exist
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package installs properly.
[x]: Package is not relocatable.
[x]: Requires correct, justified where necessary.
[x]: CheckResultdir
[x]: Rpmlint is run on all rpms the build produces.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[x]: Useful -debuginfo package or justification otherwise.

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[!]: Buildroot is not present
     Note: Buildroot: present but not needed
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: Scriptlets must be sane, if used.
[x]: SourceX tarball generation or download is documented.
[-]: SourceX / PatchY prefixed with %{name}.
     Note: Patch0 (libjpeg-turbo12-noinst.patch) Source0 (libjpeg-
     turbo-1.2.1.tar.gz)
[x]: SourceX is a working URL.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: libjpeg-turbo-compat-1.2.1-4.fc17.x86_64.rpm
          libjpeg-turbo-compat-static-1.2.1-4.fc17.x86_64.rpm
          libjpeg-turbo-compat-devel-1.2.1-4.fc17.x86_64.rpm
          libjpeg-turbo-compat-1.2.1-4.fc17.src.rpm
          libjpeg-turbo-compat-debuginfo-1.2.1-4.fc17.x86_64.rpm
libjpeg-turbo-compat.x86_64: W: shared-lib-calls-exit /usr/lib64/libjpeg.so.62.0.0 exit@GLIBC_2.2.5
libjpeg-turbo-compat-static.x86_64: W: no-documentation
libjpeg-turbo-compat-devel.x86_64: W: only-non-binary-in-usr-lib
5 packages and 0 specfiles checked; 0 errors, 3 warnings.


===== ISSUES =====

1: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
   beginning of %install.
   Note: rm -rf %{buildroot} present but not required

2: Each %files section contains %defattr if rpm < 4.4
   Note: %defattr present but not needed

3: Package does not generate any conflict.
   Note: libjpeg-turbo-compat-static conflicts with libjpeg-turbo-static

4: License field in the package spec file matches the actual license.
   - In SPEC file, the license is "wxWidgets", but on upstream site
     (http://sourceforge.net/projects/libjpeg-turbo/) the licese is "BSD"!

5: Buildroot is not present
   Note: Buildroot: present but not needed
   
6: Package has no %clean section with rm -rf %{buildroot} (or
   $RPM_BUILD_ROOT)
   Note: %clean present but not required
Comment 3 Tomáš Hozza 2012-10-24 09:05:11 EDT
There is still a conflict issue.

YUM output:

Transaction Check Error:
  file /usr/lib64/libjpeg.so.62.0.0 from install of libjpeg-turbo-compat-1.2.1-5.fc17.x86_64 conflicts with file from package libjpeg-turbo-1.2.1-1.fc17.x86_64
Comment 4 Adam Tkac 2012-10-24 09:11:39 EDT
(In reply to comment #3)
> There is still a conflict issue.
> 
> YUM output:
> 
> Transaction Check Error:
>   file /usr/lib64/libjpeg.so.62.0.0 from install of
> libjpeg-turbo-compat-1.2.1-5.fc17.x86_64 conflicts with file from package
> libjpeg-turbo-1.2.1-1.fc17.x86_64

This is expected, as written on https://fedoraproject.org/wiki/Features/libjpeg-turbo-jpeg8-ABI

We need to have /usr/lib64/libjpeg.so.62.0.0 shipped in -compat package in distro and then I can build new libjpeg-turbo which will contain libjpeg.so.8.0.2 instead of libjpeg.so.62.0.0 so conflict will disappear.
Comment 5 Tomáš Hozza 2012-10-24 09:19:51 EDT
(In reply to comment #4)
> (In reply to comment #3)
> > There is still a conflict issue.
> > 
> > YUM output:
> > 
> > Transaction Check Error:
> >   file /usr/lib64/libjpeg.so.62.0.0 from install of
> > libjpeg-turbo-compat-1.2.1-5.fc17.x86_64 conflicts with file from package
> > libjpeg-turbo-1.2.1-1.fc17.x86_64
> 
> This is expected, as written on
> https://fedoraproject.org/wiki/Features/libjpeg-turbo-jpeg8-ABI
> 
> We need to have /usr/lib64/libjpeg.so.62.0.0 shipped in -compat package in
> distro and then I can build new libjpeg-turbo which will contain
> libjpeg.so.8.0.2 instead of libjpeg.so.62.0.0 so conflict will disappear.

OK then. Everything is fixed and looks good to me. This package is APPROVED!
Comment 6 Adam Tkac 2012-10-24 09:25:00 EDT
(In reply to comment #5)
> (In reply to comment #4)
> > (In reply to comment #3)
> > > There is still a conflict issue.
> > > 
> > > YUM output:
> > > 
> > > Transaction Check Error:
> > >   file /usr/lib64/libjpeg.so.62.0.0 from install of
> > > libjpeg-turbo-compat-1.2.1-5.fc17.x86_64 conflicts with file from package
> > > libjpeg-turbo-1.2.1-1.fc17.x86_64
> > 
> > This is expected, as written on
> > https://fedoraproject.org/wiki/Features/libjpeg-turbo-jpeg8-ABI
> > 
> > We need to have /usr/lib64/libjpeg.so.62.0.0 shipped in -compat package in
> > distro and then I can build new libjpeg-turbo which will contain
> > libjpeg.so.8.0.2 instead of libjpeg.so.62.0.0 so conflict will disappear.
> 
> OK then. Everything is fixed and looks good to me. This package is APPROVED!

Thanks for the review!
Comment 7 Adam Tkac 2012-10-24 09:26:20 EDT
New Package SCM Request
=======================
Package Name: libjpeg-turbo-compat
Short Description: A MMX/SSE2 accelerated library for manipulating JPEG image files
Owners: atkac
Branches: 
InitialCC:
Comment 8 Gwyn Ciesla 2012-10-24 09:33:57 EDT
Git done (by process-git-requests).
Comment 9 Adam Tkac 2012-10-24 10:09:16 EDT
Package has been built, closing.

Note You need to log in before you can comment on or make changes to this bug.